# Generated from crabstone-4.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crabstone

Name: rubygem-%{gem_name}
Version: 4.0.3
Release: 1%{?dist}
Summary: Ruby FFI bindings for the capstone disassembly engine
License: BSD-3-Clause
URL: https://github.com/david942j/crabstone
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(simplecov) >= 0.18
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(versionomy) >= 0.5
# BuildRequires: rubygem(versionomy) < 1
BuildArch: noarch

%description
Capstone is a disassembly engine written by Nguyen Anh Quynh, available here
https://github.com/aquynh/capstone. This is the Ruby FFI binding.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 4.0.3-1
- Initial package
